# $Revision: 1.21 $, $Date: 2010/05/03 06:29:44 $
%define		realname qca-tls
Summary:	Qt Cryptographic Architecture (QCA) SSL/TLS plugin
Summary(pl.UTF-8):	Wtyczka SSL/TLS dla Qt Cryptographic Architecture (QCA)
Name:		qt-plugin-%{realname}
Version:	1.0
Release:	12
Epoch:		1
License:	LGPL v2.1
Group:		Libraries
Source0:	http://delta.affinix.com/qca/%{realname}-%{version}.tar.bz2
# Source0-md5:	886b1f60fc31de3b1a0bd93281e27b73
Patch0:		%{name}-openssl9x.patch
Patch1:		openssl.patch
URL:		http://delta.affinix.com/qca/
BuildRequires:	libstdc++-devel
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	qmake
BuildRequires:	qt-devel >= 6:3.1.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_plugindir %{_libdir}/qt/plugins-mt/crypto

%description
A plugin to provide SSL/TLS capability to programs that utilize the Qt
Cryptographic Architecture (QCA).

%description -l pl.UTF-8
Wtyczka pozwalająca wykorzystać możliwości SSL/TLS w programach
korzystających z Qt Cryptographic Architecture (QCA).

%prep
%setup -qn %{realname}-%{version}
%patch0 -p1
%patch1 -p1

%build
export QTDIR=%{_prefix}
./configure

qmake %{realname}.pro \
	QMAKE_CXX="%{__cxx}" \
	QMAKE_LINK="%{__cxx}" \
	QMAKE_CXXFLAGS_RELEASE="%{rpmcflags}" \
	QMAKE_RPATH=

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	INSTALL_ROOT=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_plugindir}/*.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: qt-plugin-qca-tls.spec,v $
Revision 1.21  2010/05/03 06:29:44  glen
- release 12

Revision 1.20  2010/05/03 06:18:28  glen
- fix build with openssl 1.0; rel 11

Revision 1.19  2010/04/21 17:07:31  arekm
- release 10

Revision 1.18  2010/04/12 19:29:36  arekm
- release 9

Revision 1.17  2008/04/06 20:10:05  arekm
- release 8

Revision 1.16  2008-04-05 13:44:35  arekm
- rel 7

Revision 1.15  2008-03-19 08:40:55  arekm
- rel 6

Revision 1.14  2007-09-17 13:28:20  baggins
- rel 5

Revision 1.13  2007/04/10 23:04:30  shadzik
- qt-devel epoch (still 6)

Revision 1.12  2007/02/13 08:06:43  glen
- tabs in preamble

Revision 1.11  2007/02/12 01:06:29  baggins
- converted to UTF-8

Revision 1.10  2006/08/07 08:13:24  pluto
- build fix for new openssl, release 4.

Revision 1.9  2005/04/13 21:00:59  pluto
- BR += qmake.

Revision 1.8  2004/11/03 19:03:38  jpc
- new standalone library and plugin releases
- based on old qt-plugins-qca-tls and psi.spec

Revision 1.7  2004/08/09 22:57:54  havner
- rel 2

Revision 1.6  2004/06/12 21:47:13  pluto
- license fixed.

Revision 1.5  2004/03/27 01:40:23  adgor
- plugins-mt/crypto should be owned by qt

Revision 1.4  2004/03/19 23:46:35  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.3  2004/02/13 18:20:49  freetz
- updated to final 1.0 version
- epoch added, removed install_path fix (obsoleted)

Revision 1.2  2003/12/10 18:29:31  freetz
- s/crypt/crypto
  note: tested with psi-0.9.1-test1, works without problems

Revision 1.1  2003/12/10 17:43:52  freetz
- initial (for new psi)
  note: not tested yet

